Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.workqueue
Interface WorkQueue

All Superinterfaces:
  java.util.concurrent.Executor

All Known Subinterfaces:
  AutomaticWorkQueue

    public interface WorkQueue

extends java.util.concurrent.Executor

Method Summary
`void` | `execute(java.lang.Runnable work, long timeout)` Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.
`void` | `schedule(java.lang.Runnable work, long delay)` Schedules a work item for execution at some time in the future.

Methods inherited from interface java.util.concurrent.Executor
`execute`

Method Detail

### execute

    void execute(java.lang.Runnable work,
                 long timeout)

  Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.

  Parameters:
    `work` - the workitem to submit for execution.
    `timeout` - the maximum amount of time (in milliseconds) to wait for it to be accepted.
  Throws:
    ``RejectedExecutionException`` - if this work item cannot be accepted for execution.
    ``NullPointerException`` - if work item is null.

### schedule

    void schedule(java.lang.Runnable work,
                  long delay)

  Schedules a work item for execution at some time in the future.

  Parameters:
    `work` - the task to submit for execution.
    `delay` - the delay before the task is executed
  Throws:
    ``RejectedExecutionException`` - if this task cannot be accepted for execution.
    ``NullPointerException`` - if task is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF